<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <configSections>
        <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
            <section name="Rubetek.AdjustmentWorks.WaterMeterV2.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false"/>
        </sectionGroup>
      <section name="nlog" type="NLog.Config.ConfigSectionHandler, NLog"/>
    </configSections>
    <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.2"/>
    </startup>
    <userSettings>
        <Rubetek.AdjustmentWorks.WaterMeterV2.Properties.Settings>
            <setting name="MainFormLocation" serializeAs="String">
                <value>0, 0</value>
            </setting>
            <setting name="MainFormSize" serializeAs="String">
                <value>0, 0</value>
            </setting>
            <setting name="WaterMeterSettingsFormLocation" serializeAs="String">
                <value>0, 0</value>
            </setting>
            <setting name="WaterMeterSettingsFormSize" serializeAs="String">
                <value>0, 0</value>
            </setting>
        </Rubetek.AdjustmentWorks.WaterMeterV2.Properties.Settings>
    </userSettings>

  <nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <targets>
      <target xsi:type="RichTextBox" name="target1" layout="${time} |${level:format=FirstCharacter}| ${message}" controlName="txtLog" formName="MainForm" autoScroll="true" allowAccessoryFormCreation="false">

        <!-- repeated word-colorings -->
        <!--<word-coloring backgroundColor="String"
                       fontColor="String" ignoreCase="Boolean"
                       regex="String"
                       style="Enum"
                       text="String"
                       wholeWords="Boolean"/>-->

        <row-coloring condition="level == LogLevel.Debug" fontColor="DarkGray"/>
        <row-coloring condition="level == LogLevel.Warn" fontColor="Olive"/>
        <row-coloring condition="level == LogLevel.Info" fontColor="Navy"/>
        <row-coloring condition="level == LogLevel.Error" fontColor="DarkRed"/>
        <row-coloring condition="level == LogLevel.Fatal" fontColor="Red" style="Bold"/>

      </target>
    </targets>
    <rules>

      <logger name="*" minlevel="Debug" writeTo="target1"/>

    </rules>
  </nlog>
</configuration>
